from typing import List

def tous_les_mots_ab(n: int) -> List[str]:
    """
        >>> tous_les_mots_ab(2):
        [aa, ab, ba, bb]

        >>> tous_les_mots_ab(3):
        [aaa, aab, aba, abb, baa, bab, bba, bbb]
    """
    if n == 0:
        return [ "" ]
    L = tous_les_mots_ab(n-1)
    K_a = list(map(lambda e:'a'+e, L))
    # K_a = [ 'a' + e for e in L ]
    K_b = list(map(lambda e:'b'+e, L))
    # K_b = [ 'b' + e for e in L ]
    return K_a + K_b

def sous_ensemble(E: set) -> list[set]:
    if len(E) == 0:
        return [ set() ]
    F = set(E)
    x = F.pop()
    K = sous_ensemble(F)
    T = []
    for element in K:
        copy = set(element)
        copy.add(x)
        T.append(copy)
        T.append(element)
    return T
